com.independentsoft.exchange

## Class PropertyOrder

- java.lang.Object
- - com.independentsoft.exchange.PropertyOrder

-     public class PropertyOrder
      extends java.lang.Object

  Represents a single field by which to sort results and indicates the direction for the sort.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyOrder()` Initializes a new instance of the PropertyOrder class.
    `PropertyOrder(PropertyPath propertyPath)` Initializes a new instance of the PropertyOrder class.
    `PropertyOrder(PropertyPath propertyPath, SortDirection order)` Initializes a new instance of the PropertyOrder class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortDirection` | `getOrder()` Gets the sort order direction.
    `PropertyPath` | `getPropertyPath()` Gets property path.
    `void` | `setOrder(SortDirection order)` Sets the sort order direction.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets property path.
    `java.lang.String` | `toString()` Converts the value of the current PropertyOrder object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyOrder

          public PropertyOrder()

      Initializes a new instance of the PropertyOrder class.

    - #### PropertyOrder

          public PropertyOrder(PropertyPath propertyPath)

      Initializes a new instance of the PropertyOrder class.
      Parameters:
        `propertyPath` - the property path

    - #### PropertyOrder

          public PropertyOrder(PropertyPath propertyPath,
                               SortDirection order)

      Initializes a new instance of the PropertyOrder class.
      Parameters:
        `propertyPath` - the property path
        `order` - the order

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current PropertyOrder object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets property path.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets property path.
      Parameters:
        `propertyPath` - the new property path

    - #### getOrder

          public SortDirection getOrder()

      Gets the sort order direction.
      Returns:
        the order

    - #### setOrder

          public void setOrder(SortDirection order)

      Sets the sort order direction.
      Parameters:
        `order` - the new order